org.apache.lucene.queryParser.standard.builders

## Class WildcardQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryParser.standard.builders.WildcardQueryNodeBuilder

- All Implemented Interfaces:
    QueryBuilder, StandardQueryBuilder

      public class WildcardQueryNodeBuilder
      extends java.lang.Object
      implements StandardQueryBuilder

  Builds a `WildcardQuery` object from a `WildcardQueryNode` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WildcardQueryNodeBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.search.WildcardQuery` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WildcardQueryNodeBuilder

          public WildcardQueryNodeBuilder()

  - ### Method Detail

    - #### build

          public org.apache.lucene.search.WildcardQuery build(QueryNode queryNode)
                                                       throws QueryNodeException

      Description copied from interface: `QueryBuilder`
      Builds some kind of object from a query tree.
      Specified by:
        `build` in interface `QueryBuilder`
      Specified by:
        `build` in interface `StandardQueryBuilder`
      Parameters:
        `queryNode` - the query tree root node
      Returns:
        some object generated from the query tree
      Throws:
        `QueryNodeException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.